Bug 244522 - Screen corruption and machine hang with 6600 and version 2.0.96-2
Screen corruption and machine hang with 6600 and version 2.0.96-2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 13:14 EDT by John William
Modified: 2009-01-09 02:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf config file (564 bytes, text/plain)
2007-06-27 20:54 EDT, John William
no flags Details
Xorg log before doing anything to system (52.60 KB, text/plain)
2007-06-27 20:54 EDT, John William
no flags Details
Xorg log files after deleting xorg.conf file (56.14 KB, text/plain)
2007-06-27 20:55 EDT, John William
no flags Details

  None (edit)
Description John William 2007-06-16 13:14:21 EDT
Description of problem:
After installing the updated nv driver (xorg-x11-drv-nv-2.0.96-2.fc7), I 
started getting screen corruptions and hangs. This appears to be identical to 
the problem that was fixed in the fc5/6 timeframe with the 6xxx series.

The problem manifests itself most often when running slideshows through gqview. 
The screen will become garbled and the machine will often (but not always) 
hang. No ping, telnet, etc.

Version-Release number of selected component (if applicable):
Machine was completely stable before upgrading to new version (xorg-x11-drv-nv-
2.0.96-2.fc7).

Output from lspci:
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev 
a2) (prog-if 00 [VGA])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8199
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- 
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at c8000000 (32-bit, non-prefetchable) [size=64M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=128M]
        Region 3: Memory at cc000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at cd000000 [disabled] [size=128K]

How reproducible:
Almost always.

Steps to Reproduce:
1. Open gqview
2. Set slideshow to run quickly (switching images seems to cause the problem)
3. Run until screen garbles and machine freezes. Usually 5 to 60 min.
  
Actual results:
Garbled screen, machine frozen.

Expected results:
Working normally...

Additional info:
Comment 1 Matěj Cepl 2007-06-19 12:12:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 John William 2007-06-27 20:54:10 EDT
Created attachment 158081 [details]
xorg.conf config file
Comment 3 John William 2007-06-27 20:54:41 EDT
Created attachment 158083 [details]
Xorg log before doing anything to system
Comment 4 John William 2007-06-27 20:55:08 EDT
Created attachment 158084 [details]
Xorg log files after deleting xorg.conf file
Comment 5 John William 2007-12-12 00:34:35 EST
Still seeing this problem on Fedora 8 (xorg-x11-drv-nv-2.1.5-2.fc8). Problem is
difficult to reproduce, but running GQView on a full-screen slideshow for an
hour or two usually triggers it. Screen image suddenly garbles and machine
hard-locks.
Comment 6 Bug Zapper 2008-11-26 02:20:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:08:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.